.TH openvasad 8 User Manuals
.SH NAME
openvasad \- Administrator daemon of the Open Vulnerability Assessment System (OpenVAS)
.SH SYNOPSIS
\fBopenvasad OPTIONS
\f1
.SH DESCRIPTION
The core task of OpenVAS Scanner (openvassd(8)) within the Open Vulnerability Assessment System (OpenVAS) is the actual scan process. 

The OpenVAS Administrator is intended to simplify the configuration and administration of an OpenVAS Scanner both on a local installation as well as on a remote system by supplying functionality for user management and feed management. It can run as a daemon as well a standalone commandline interface. 

When run as a daemon, OpenVAS Administrator will serve clients using the OpenVAS Administrator Protocol (OAP). 
.SH OPTIONS
.TP
\fB-a, --listen=\fIADDRESS\fB\f1
Listen on ADDRESS.
.TP
\fB-p, --port=\fINUMBER\fB\f1
Listen on port number NUMBER.
.TP
\fB-f, --foreground\f1
Run as daemon in the foreground.
.TP
\fB-c, --command=\fICOMMAND\fB\f1
Execute OAP command COMMAND (e.g. add_user, remove_user, list_users).
.TP
\fB-u, --username=\fINAME\fB\f1
Username when creating, editing or removing a user.
.TP
\fB-w, --password=\fIPASSWORD\fB\f1
Password for the new user when creating a new user. If the password is not supplied on the command line, it will be requested interactively. 
.TP
\fB-t, --account=\fINAME:PASSWORD\fB\f1
Username and password for new user (overrides -n and -w).
.TP
\fB-r, --role=\fIROLE\fB\f1
Role when creating or modifying a user. Must be either User or Admin. 
.TP
\fB--rules-file=\fIFILE\fB\f1
File containing the rules for the user.
.TP
\fB--users-dir=\fIDIRECTORY\fB\f1
Directory containing the OpenVAS user data.
.TP
\fB--scanner-config-file=\fIFILE\fB\f1
File containing supplemental OpenVAS Scanner configuration.
.TP
\fB-s, --sync-script=\fIFILE\fB\f1
Script to use for NVT feed synchronization.
.TP
\fB-F, --feed-version\f1
Print version of the installed NVT feed.
.TP
\fB-S, --sync-feed\f1
Synchronize the installed NVT feed.
.TP
\fB-T, --print-sync-status\f1
Print the synchronization status of the installed NVT feed.
.TP
\fB--enable-modify-settings\f1
Enable the OAP MODIFY_SETTINGS command.
.TP
\fB-v, --verbose\f1
Verbose messages.
.TP
\fB-V, --version\f1
Print version.
.TP
\fB-?, --help\f1
Show help.
.SH EXAMPLES
openvasad --port 9393

Serve OMP clients on port 9393.
.SH SEE ALSO
\fBopenvassd(8)\f1 \fBopenvasmd(8)\f1 \fBgsad(8)\f1 \fBomp(8)\f1 \fBgsd(8)\f1
.SH MORE INFORMATION ABOUT THE OPENVAS PROJECT
The canonical places where you will find more information about the OpenVAS project are: \fBhttp://www.openvas.org/\f1 (Official site) \fBhttp://wald.intevation.org/projects/openvas/\f1 (Development Platform) 
.SH COPYRIGHT
The OpenVAS Administrator is released under the GNU GPL, version 2, or, at your option, any later version. 
